Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can
indicate which fields should be updated in the duplicated event. For those fields that should be modified,
also provide a field mask.
For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder.
For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for
the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.
An event happening at a certain time and location, such as a sports game, concert, lecture, or festival.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Motto","colors":{"primary":"#a855f7","light":"#a855f7","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/motto/cBpRj-PyqIlSlCJu/logo/light.png?fit=max\u0026auto=format\u0026n=cBpRj-PyqIlSlCJu\u0026q=85\u0026s=d4bd8dad415fff9053d11f4b5985ad6f","dark":"https://mintcdn.com/motto/cBpRj-PyqIlSlCJu/logo/dark.png?fit=max\u0026auto=format\u0026n=cBpRj-PyqIlSlCJu\u0026q=85\u0026s=d16a9715252bd80539bc4bf89efd706a"},"favicon":"https://mintcdn.com/motto/cBpRj-PyqIlSlCJu/favicon.png?fit=max\u0026auto=format\u0026n=cBpRj-PyqIlSlCJu\u0026q=85\u0026s=a0054a4ad50f171682929414acb56fa5","api":{"openapi":"https://api-docs.mottostreaming.com/openapi.yaml","mdx":{"auth":{"method":"bearer"},"server":"https://api.mottostreaming.com"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"https://mottostreaming.com","label":"Home"},{"href":"https://mottostreaming.com/pricing","label":"Pricing"},{"href":"https://mottostreaming.com/#contact-us","label":"Support"}],"primary":{"type":"button","label":"Studio","href":"https://studio.mottostreaming.com"}},"footer":{"socials":{}},"integrations":{"ga4":{"measurementId":"G-QK6SPBBH9B"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/MottoStreaming"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"motto","hasAudioNarration":false,"actualSubdomain":"motto","customDomains":["docs.mottostreaming.com"],"gitSource":{"type":"github","owner":"mottostreaming","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ad5f148a4240b47121a3bfe","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Reference","count":104},{"language":"default","tag":"Studio API","count":102},{"language":"default","tag":"Streaming","count":66},{"language":"default","tag":"Documentation","count":39},{"language":"default","tag":"CMS","count":36},{"language":"default","tag":"Assets","count":16},{"language":"default","tag":"IAM","count":14},{"language":"default","tag":"Live Streams","count":13},{"language":"default","tag":"Sports Standings","count":10},{"language":"default","tag":"Monetization","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/studio-api/cms/events/v1/duplicate-event","slug":"/reference/studio-api/cms/events/v1/duplicate-event","pageMetadata":{"openapi":"post /cms/events/v1/{event_id}/duplicate","title":null,"description":"DuplicateEvent\n\n Duplicates an existing event, optionally with modifications. By providing an `event` in the request body, you can\n indicate which fields should be updated in the duplicated event. For those fields that should be modified,\n also provide a field mask.\n\n For any string field, if you want to include the original value in the duplicate but with some modifications, you may use `%@` as a placeholder.\n For example, if the original event title is `FC Barcelona vs Real Madrid`, and you want to duplicate that event for\n the purpose of highlights, you may provide a new title like `Highlights of %@` which will result in `Highlights of FC Barcelona vs Real Madrid`.","href":"/reference/studio-api/cms/events/v1/duplicate-event"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"DuplicateEvent\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Duplicates an existing event, optionally with modifications. By providing an \", _jsx(_components.code, {\n children: \"event\"\n }), \" in the request body, you can\\nindicate which fields should be updated in the duplicated event. For those fields that should be modified,\\nalso provide a field mask.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"For any string field, if you want to include the original value in the duplicate but with some modifications, you may use \", _jsx(_components.code, {\n children: \"%@\"\n }), \" as a placeholder.\\nFor example, if the original event title is \", _jsx(_components.code, {\n children: \"FC Barcelona vs Real Madrid\"\n }), \", and you want to duplicate that event for\\nthe purpose of highlights, you may provide a new title like \", _jsx(_components.code, {\n children: \"Highlights of %@\"\n }), \" which will result in \", _jsx(_components.code, {\n children: \"Highlights of FC Barcelona vs Real Madrid\"\n }), \".\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /cms/events/v1/{event_id}/duplicate","title":null,"description":"DuplicateEvent\n\n Duplicates an existing event, optionally with modifications. By providing an `event` in the request body, you can\n indicate which fields should be updated in the duplicated event. For those fields that should be modified,\n also provide a field mask.\n\n For any string field, if you want to include the original value in the duplicate but with some modifications, you may use `%@` as a placeholder.\n For example, if the original event title is `FC Barcelona vs Real Madrid`, and you want to duplicate that event for\n the purpose of highlights, you may provide a new title like `Highlights of %@` which will result in `Highlights of FC Barcelona vs Real Madrid`.","href":"/reference/studio-api/cms/events/v1/duplicate-event"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["EventService"],"description":"DuplicateEvent\n\n Duplicates an existing event, optionally with modifications. By providing an `event` in the request body, you can\n indicate which fields should be updated in the duplicated event. For those fields that should be modified,\n also provide a field mask.\n\n For any string field, if you want to include the original value in the duplicate but with some modifications, you may use `%@` as a placeholder.\n For example, if the original event title is `FC Barcelona vs Real Madrid`, and you want to duplicate that event for\n the purpose of highlights, you may provide a new title like `Highlights of %@` which will result in `Highlights of FC Barcelona vs Real Madrid`.","operationId":"EventService_DuplicateEvent","parameters":["370a8ee8-91ee-4e15-957b-f9f82ab58329"],"requestBody":"c8d0b362-7040-47e9-bcc3-2bb51563a1fe","responses":{"200":"1d46dff8-dd35-4aa6-84c2-5858f9be3357","default":"324b54b7-32f7-427e-a0bd-043bb8b9d8f7"},"method":"post","type":"path","servers":["3d936636-60f5-4659-a50d-e16fb1741a96"],"security":["98781b50-5b14-4e89-a1c5-ce732bba9b80"],"path":"/cms/events/v1/{event_id}/duplicate","baseUrlOptions":["https://api.mottostreaming.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"370a8ee8-91ee-4e15-957b-f9f82ab58329":{"name":"event_id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"required":["event_id"],"type":"object","properties":{"event_id":{"type":"string","isRequired":true,"uniqueKey":"event_id","typeLabel":"string"},"event":{"required":["project_id"],"type":"object","properties":{"project_id":{"type":"string","isRequired":true,"uniqueKey":"event.project_id","typeLabel":"string"},"type_id":{"type":"string","description":"The type id of the event. For example `football_match`. May be set to `default` when no custom fields are present.","uniqueKey":"event.type_id","typeLabel":"string"},"title":{"type":"string","uniqueKey":"event.title","typeLabel":"string"},"description":{"type":"string","uniqueKey":"event.description","typeLabel":"string"},"status":{"enum":["EVENT_STATUS_UNSPECIFIED","EVENT_STATUS_SCHEDULED","EVENT_STATUS_RESCHEDULED","EVENT_STATUS_CANCELLED","EVENT_STATUS_POSTPONED","EVENT_STATUS_MOVED_ONLINE","EVENT_STATUS_DELAYED","EVENT_STATUS_STARTED","EVENT_STATUS_PAUSED","EVENT_STATUS_SUSPENDED","EVENT_STATUS_FINISHED","EVENT_STATUS_PRESCHEDULED"],"type":"string","description":"Current status of the event","format":"enum","uniqueKey":"event.status","typeLabel":"enum\u003cstring>"},"start_time":{"type":"string","format":"date-time","uniqueKey":"event.start_time","typeLabel":"string\u003cdate-time>"},"online_url":{"type":"string","description":"Important: at most one of `online_url`, `physical_location` may be set per request.","uniqueKey":"event.online_url","typeLabel":"string"},"physical_location":{"type":"object","properties":{"venue":{"type":"string","uniqueKey":"event.physical_location.venue","typeLabel":"string"},"city":{"type":"string","uniqueKey":"event.physical_location.city","typeLabel":"string"},"country_code":{"type":"string","description":"Country code complaint with ISO 3166-1 alpha-2","uniqueKey":"event.physical_location.country_code","typeLabel":"string"},"continent_code":{"type":"string","description":"Continent code, one of AF, AN, AS, EU, NA, OC, SA","uniqueKey":"event.physical_location.continent_code","typeLabel":"string"},"coordinates":{"type":"object","properties":{"latitude":{"type":"number","description":"The latitude in degrees. It must be in the range [-90.0, +90.0].","format":"double","uniqueKey":"event.physical_location.coordinates.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","description":"The longitude in degrees. It must be in the range [-180.0, +180.0].","format":"double","uniqueKey":"event.physical_location.coordinates.longitude","typeLabel":"number\u003cdouble>"}},"description":"An object that represents a latitude/longitude pair. This is expressed as a\n pair of doubles to represent degrees latitude and degrees longitude. Unless\n specified otherwise, this must conform to the\n \u003ca href=\"http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf\">WGS84\n standard\u003c/a>. Values must be within normalized ranges.","uniqueKey":"event.physical_location.coordinates","typeLabel":"object"}},"description":"Important: at most one of `online_url`, `physical_location` may be set per request.","uniqueKey":"event.physical_location","typeLabel":"object"},"thumbnail_asset_id":{"type":"string","uniqueKey":"event.thumbnail_asset_id","typeLabel":"string"},"poster_asset_id":{"type":"string","uniqueKey":"event.poster_asset_id","typeLabel":"string"},"video_ids":{"type":"array","items":{"type":"string","uniqueKey":"event.video_ids.items.[INDEX]","typeLabel":"string"},"uniqueKey":"event.video_ids","typeLabel":"string[]"},"fields":{"type":"object","uniqueKey":"event.fields","typeLabel":"object"},"visibility":{"enum":["VISIBILITY_UNSPECIFIED","VISIBILITY_PUBLISHED","VISIBILITY_UNLISTED","VISIBILITY_HIDDEN"],"type":"string","format":"enum","uniqueKey":"event.visibility","typeLabel":"enum\u003cstring>"},"localized_title":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_title.additionalProperties","typeLabel":"string"},"description":"A map of localized titles for this event, for end users to see. The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc.\n If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `title` field.","uniqueKey":"event.localized_title","typeLabel":"object"},"localized_description":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_description.additionalProperties","typeLabel":"string"},"description":"A map of localized descriptions for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `description` field.","uniqueKey":"event.localized_description","typeLabel":"object"},"localized_thumbnail_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_thumbnail_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of localized thumbnail asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `thumbnail_asset_id` field.","uniqueKey":"event.localized_thumbnail_asset_id","typeLabel":"object"},"localized_poster_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_poster_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of localized poster asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `poster_asset_id` field.","uniqueKey":"event.localized_poster_asset_id","typeLabel":"object"},"banner_asset_id":{"type":"object","properties":{"banner_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.banner_asset_id.banner_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of banner asset IDs for this event.\n The key is the breakpoint min-width (in pixels) at which this banner should be shown.\n If you want a default banner for all screen sizes, you can use 0 as the key.","uniqueKey":"event.banner_asset_id.banner_asset_id","typeLabel":"object"}},"uniqueKey":"event.banner_asset_id","typeLabel":"object"},"localized_banner_asset_id":{"type":"object","additionalProperties":{"type":"object","properties":{"banner_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_banner_asset_id.additionalProperties.banner_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of banner asset IDs for this event.\n The key is the breakpoint min-width (in pixels) at which this banner should be shown.\n If you want a default banner for all screen sizes, you can use 0 as the key.","uniqueKey":"event.localized_banner_asset_id.additionalProperties.banner_asset_id","typeLabel":"object"}},"uniqueKey":"event.localized_banner_asset_id.additionalProperties","typeLabel":"object"},"description":"A map of localized banner asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `banner_asset_id` field.","uniqueKey":"event.localized_banner_asset_id","typeLabel":"object"}},"description":"An event happening at a certain time and location, such as a sports game, concert, lecture, or festival.","uniqueKey":"event","typeLabel":"object"},"update_mask":{"type":"string","format":"field-mask","uniqueKey":"update_mask","typeLabel":"string\u003cfield-mask>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"event_id":"\u003cstring>","update_mask":"\u003cstring>"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"1d46dff8-dd35-4aa6-84c2-5858f9be3357":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"event":{"required":["project_id"],"type":"object","properties":{"project_id":{"type":"string","isRequired":true,"uniqueKey":"event.project_id","typeLabel":"string"},"id":{"readOnly":true,"type":"string","description":"System generated unique identifier for the event.","uniqueKey":"event.id","typeLabel":"string"},"type_id":{"type":"string","description":"The type id of the event. For example `football_match`. May be set to `default` when no custom fields are present.","uniqueKey":"event.type_id","typeLabel":"string"},"title":{"type":"string","uniqueKey":"event.title","typeLabel":"string"},"description":{"type":"string","uniqueKey":"event.description","typeLabel":"string"},"status":{"enum":["EVENT_STATUS_UNSPECIFIED","EVENT_STATUS_SCHEDULED","EVENT_STATUS_RESCHEDULED","EVENT_STATUS_CANCELLED","EVENT_STATUS_POSTPONED","EVENT_STATUS_MOVED_ONLINE","EVENT_STATUS_DELAYED","EVENT_STATUS_STARTED","EVENT_STATUS_PAUSED","EVENT_STATUS_SUSPENDED","EVENT_STATUS_FINISHED","EVENT_STATUS_PRESCHEDULED"],"type":"string","description":"Current status of the event","format":"enum","uniqueKey":"event.status","typeLabel":"enum\u003cstring>"},"start_time":{"type":"string","format":"date-time","uniqueKey":"event.start_time","typeLabel":"string\u003cdate-time>"},"online_url":{"type":"string","description":"Important: at most one of `online_url`, `physical_location` may be set per request.","uniqueKey":"event.online_url","typeLabel":"string"},"physical_location":{"type":"object","properties":{"venue":{"type":"string","uniqueKey":"event.physical_location.venue","typeLabel":"string"},"city":{"type":"string","uniqueKey":"event.physical_location.city","typeLabel":"string"},"country_code":{"type":"string","description":"Country code complaint with ISO 3166-1 alpha-2","uniqueKey":"event.physical_location.country_code","typeLabel":"string"},"continent_code":{"type":"string","description":"Continent code, one of AF, AN, AS, EU, NA, OC, SA","uniqueKey":"event.physical_location.continent_code","typeLabel":"string"},"coordinates":{"type":"object","properties":{"latitude":{"type":"number","description":"The latitude in degrees. It must be in the range [-90.0, +90.0].","format":"double","uniqueKey":"event.physical_location.coordinates.latitude","typeLabel":"number\u003cdouble>"},"longitude":{"type":"number","description":"The longitude in degrees. It must be in the range [-180.0, +180.0].","format":"double","uniqueKey":"event.physical_location.coordinates.longitude","typeLabel":"number\u003cdouble>"}},"description":"An object that represents a latitude/longitude pair. This is expressed as a\n pair of doubles to represent degrees latitude and degrees longitude. Unless\n specified otherwise, this must conform to the\n \u003ca href=\"http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf\">WGS84\n standard\u003c/a>. Values must be within normalized ranges.","uniqueKey":"event.physical_location.coordinates","typeLabel":"object"}},"description":"Important: at most one of `online_url`, `physical_location` may be set per request.","uniqueKey":"event.physical_location","typeLabel":"object"},"thumbnail_asset_id":{"type":"string","uniqueKey":"event.thumbnail_asset_id","typeLabel":"string"},"poster_asset_id":{"type":"string","uniqueKey":"event.poster_asset_id","typeLabel":"string"},"video_ids":{"type":"array","items":{"type":"string","uniqueKey":"event.video_ids.items.[INDEX]","typeLabel":"string"},"uniqueKey":"event.video_ids","typeLabel":"string[]"},"fields":{"type":"object","uniqueKey":"event.fields","typeLabel":"object"},"visibility":{"enum":["VISIBILITY_UNSPECIFIED","VISIBILITY_PUBLISHED","VISIBILITY_UNLISTED","VISIBILITY_HIDDEN"],"type":"string","format":"enum","uniqueKey":"event.visibility","typeLabel":"enum\u003cstring>"},"create_time":{"readOnly":true,"type":"string","format":"date-time","uniqueKey":"event.create_time","typeLabel":"string\u003cdate-time>"},"localized_title":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_title.additionalProperties","typeLabel":"string"},"description":"A map of localized titles for this event, for end users to see. The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc.\n If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `title` field.","uniqueKey":"event.localized_title","typeLabel":"object"},"localized_description":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_description.additionalProperties","typeLabel":"string"},"description":"A map of localized descriptions for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `description` field.","uniqueKey":"event.localized_description","typeLabel":"object"},"localized_thumbnail_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_thumbnail_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of localized thumbnail asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `thumbnail_asset_id` field.","uniqueKey":"event.localized_thumbnail_asset_id","typeLabel":"object"},"localized_poster_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_poster_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of localized poster asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `poster_asset_id` field.","uniqueKey":"event.localized_poster_asset_id","typeLabel":"object"},"banner_asset_id":{"type":"object","properties":{"banner_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.banner_asset_id.banner_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of banner asset IDs for this event.\n The key is the breakpoint min-width (in pixels) at which this banner should be shown.\n If you want a default banner for all screen sizes, you can use 0 as the key.","uniqueKey":"event.banner_asset_id.banner_asset_id","typeLabel":"object"}},"uniqueKey":"event.banner_asset_id","typeLabel":"object"},"localized_banner_asset_id":{"type":"object","additionalProperties":{"type":"object","properties":{"banner_asset_id":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"event.localized_banner_asset_id.additionalProperties.banner_asset_id.additionalProperties","typeLabel":"string"},"description":"A map of banner asset IDs for this event.\n The key is the breakpoint min-width (in pixels) at which this banner should be shown.\n If you want a default banner for all screen sizes, you can use 0 as the key.","uniqueKey":"event.localized_banner_asset_id.additionalProperties.banner_asset_id","typeLabel":"object"}},"uniqueKey":"event.localized_banner_asset_id.additionalProperties","typeLabel":"object"},"description":"A map of localized banner asset IDs for this event.\n The key is the language code (ISO 639 - set 1), e.g. \"en\", \"de\", \"fr\", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2),\n e.g. \"en-US\", \"en-GB\", etc.\n\n Leaving this field empty will default to the `banner_asset_id` field.","uniqueKey":"event.localized_banner_asset_id","typeLabel":"object"}},"description":"An event happening at a certain time and location, such as a sports game, concert, lecture, or festival.","uniqueKey":"event","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"event":{"project_id":"\u003cstring>","id":"\u003cstring>","type_id":"\u003cstring>","title":"\u003cstring>","description":"\u003cstring>","status":"EVENT_STATUS_UNSPECIFIED","start_time":"2023-11-07T05:31:56Z","online_url":"\u003cstring>","physical_location":{"venue":"\u003cstring>","city":"\u003cstring>","country_code":"\u003cstring>","continent_code":"\u003cstring>","coordinates":{"latitude":123,"longitude":123}},"thumbnail_asset_id":"\u003cstring>","poster_asset_id":"\u003cstring>","video_ids":["\u003cstring>"],"fields":{},"visibility":"VISIBILITY_UNSPECIFIED","create_time":"2023-11-07T05:31:56Z","localized_title":{},"localized_description":{},"localized_thumbnail_asset_id":{},"localized_poster_asset_id":{},"banner_asset_id":{"banner_asset_id":{}},"localized_banner_asset_id":{}}}}},"exampleType":"generated"}},"exampleType":"generated"},"324b54b7-32f7-427e-a0bd-043bb8b9d8f7":{"description":"Default error response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].","format":"int32","uniqueKey":"code","typeLabel":"integer\u003cint32>"},"message":{"type":"string","description":"A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.","uniqueKey":"message","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","description":"The type of the serialized message.","uniqueKey":"details.items.[INDEX].@type","typeLabel":"string"}},"additionalProperties":true,"description":"Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.","uniqueKey":"details.items.[INDEX]","typeLabel":"object"},"description":"A list of messages that carry the error details. There is a common set of message types for APIs to use.","uniqueKey":"details","typeLabel":"object[]"}},"description":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":123,"message":"\u003cstring>","details":[{"@type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"98781b50-5b14-4e89-a1c5-ce732bba9b80":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"3d936636-60f5-4659-a50d-e16fb1741a96":{"url":"https://api.mottostreaming.com","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"https://api-docs.mottostreaming.com/openapi.yaml"},"subdomain":"motto","siteName":"Motto","title":"Duplicate event - Motto","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-19T10:30:38.301Z","originalFileLocation":"reference/studio-api/cms/events/v1/duplicate-event.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"DuplicateEvent Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can indicate which fields should be updated in the duplicated event. For those fields that should be modified, also provide a field mask. For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder. For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Motto\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Duplicate event - Motto\">\u003cmeta data-mint-head property=\"og:description\" content=\"DuplicateEvent Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can indicate which fields should be updated in the duplicated event. For those fields that should be modified, also provide a field mask. For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder. For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Motto\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://motto.mintlify.site/_mintlify/api/og/v2?division=Events\u0026amp;title=Duplicate+event\u0026amp;description=DuplicateEvent%0A%0A+Duplicates+an+existing+event%2C+optionally+with+modifications.+By+providing+an+%60event%60+in+the+request+body%2C+you+can%0A+indicate+which+fields+should\u0026amp;theme=4940bcc085b88f558a3c0e5d\u0026amp;signature=2385ed99cf1b1a2c4ef37a0a877fb74c0fb63f87e3e6f15cadb936b0552e7c26\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Duplicate event - Motto\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"DuplicateEvent Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can indicate which fields should be updated in the duplicated event. For those fields that should be modified, also provide a field mask. For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder. For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://motto.mintlify.site/_mintlify/api/og/v2?division=Events\u0026amp;title=Duplicate+event\u0026amp;description=DuplicateEvent%0A%0A+Duplicates+an+existing+event%2C+optionally+with+modifications.+By+providing+an+%60event%60+in+the+request+body%2C+you+can%0A+indicate+which+fields+should\u0026amp;theme=4940bcc085b88f558a3c0e5d\u0026amp;signature=2385ed99cf1b1a2c4ef37a0a877fb74c0fb63f87e3e6f15cadb936b0552e7c26\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/motto/jV0DsQq32_UALz8Z/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Motto\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#a855f7\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/studio-api/cms/events/v1/duplicate-event.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mottostreaming.com/#organization\",\"name\":\"Motto\",\"url\":\"https://docs.mottostreaming.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/motto/cBpRj-PyqIlSlCJu/logo/light.png?fit=max\u0026auto=format\u0026n=cBpRj-PyqIlSlCJu\u0026q=85\u0026s=d4bd8dad415fff9053d11f4b5985ad6f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mottostreaming.com#website\",\"name\":\"Motto\",\"url\":\"https://docs.mottostreaming.com\",\"publisher\":{\"@id\":\"https://docs.mottostreaming.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event#webpage\",\"url\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event\",\"name\":\"Duplicate event\",\"description\":\"DuplicateEvent Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can indicate which fields should be updated in the duplicated event. For those fields that should be modified, also provide a field mask. For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder. For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.\",\"dateModified\":\"2026-10-19T10:30:38.301Z\",\"isPartOf\":{\"@id\":\"https://docs.mottostreaming.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Studio API\",\"item\":\"https://docs.mottostreaming.com/reference/studio-api/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"CMS\",\"item\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/get-event\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Events\",\"item\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/get-event\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Duplicate event\",\"item\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event#apireference\",\"headline\":\"Duplicate event\",\"name\":\"Duplicate event\",\"description\":\"DuplicateEvent Duplicates an existing event, optionally with modifications. By providing an event in the request body, you can indicate which fields should be updated in the duplicated event. For those fields that should be modified, also provide a field mask. For any string field, if you want to include the original value in the duplicate but with some modifications, you may use %@ as a placeholder. For example, if the original event title is FC Barcelona vs Real Madrid, and you want to duplicate that event for the purpose of highlights, you may provide a new title like Highlights of %@ which will result in Highlights of FC Barcelona vs Real Madrid.\",\"url\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mottostreaming.com/reference/studio-api/cms/events/v1/duplicate-event#webpage\"},\"dateModified\":\"2026-10-19T10:30:38.301Z\",\"publisher\":{\"@id\":\"https://docs.mottostreaming.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mottostreaming.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Motto\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Motto\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/reference/studio-api/cms/events/v1/duplicate-event.md","siteName":"Motto","nav":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/MottoStreaming"}]},"tabs":[{"tab":"Documentation","groups":[{"group":"Get Started","pages":[{"title":"Your sports. Your streams. Your way.","sidebarTitle":"Overview","href":"/guides/introduction"}]},{"group":"Streaming","pages":[{"group":"Events","pages":[{"title":"Introduction","href":"/guides/streaming/events/introduction"},{"title":"Live streaming","href":"/guides/streaming/events/live-streaming"},{"title":"VOD","href":"/guides/streaming/events/vod"}]},{"group":"Video protection","pages":[{"title":"Video Protection","sidebarTitle":"Introduction","href":"/guides/streaming/video-protection/introduction"},{"title":"Geo-blocking","href":"/guides/streaming/video-protection/geo-blocking"},{"title":"DRM","href":"/guides/streaming/video-protection/drm"},{"title":"Hotlink prevention","href":"/guides/streaming/video-protection/hotlink-prevention"},{"title":"Domain pinning","href":"/guides/streaming/video-protection/domain-pinning"},{"title":"Registration walls","href":"/guides/streaming/video-protection/registration-walls"},{"title":"Concurrency control","href":"/guides/streaming/video-protection/concurrency-control"},{"title":"VPN blocking","href":"/guides/streaming/video-protection/vpn-blocking"},{"title":"Other","href":"/guides/streaming/video-protection/other"}]},{"group":"Configurations","pages":[{"title":"Introduction","href":"/guides/streaming/configurations/introduction"},{"title":"Transcoder settings","href":"/guides/streaming/configurations/transcoder-settings"}]},{"title":"Simulcasting","href":"/guides/streaming/simulcasting"},{"group":"Highlights","pages":[{"title":"Introduction","href":"/guides/streaming/highlights/introduction"},{"title":"Highlight clipping","sidebarTitle":"Clipping","href":"/guides/streaming/highlights/clipping"},{"title":"Stitching clips","sidebarTitle":"Stitching","href":"/guides/streaming/highlights/stitching"}]},{"title":"Channels","href":"/guides/streaming/channels"}]},{"group":"CMS","pages":[{"title":"Entities","href":"/guides/cms/entities"},{"title":"Sports standings","href":"/guides/cms/standings"},{"group":"Annotations","pages":[{"title":"Annotations","sidebarTitle":"Introduction","href":"/guides/annotations/annotations"},{"title":"Actions engine","href":"/guides/annotations/actions"}]},{"title":"AI agents","href":"/guides/annotations/ai-agent"}]},{"group":"OTT","pages":[{"title":"Introduction","href":"/guides/ott/introduction"},{"title":"Hero banners","href":"/guides/ott/hero-banners"},{"title":"Custom domain","href":"/guides/ott/custom-domain"},{"title":"Embed video player","href":"/guides/how-to/embed-our-player"}]},{"group":"Monetization","pages":[{"title":"Introduction","href":"/guides/monetization/introduction"},{"group":"PPV \u0026 Subscriptions","pages":[{"group":"Offers","pages":[{"title":"Offers","sidebarTitle":"Introduction","href":"/guides/monetization/offers/introduction"},{"title":"Stripe","href":"/guides/monetization/offers/stripe"}]},{"title":"Transactions","href":"/guides/monetization/transactions/introduction"}]},{"group":"Video advertising","pages":[{"title":"Video ads","href":"/guides/monetization/ads/video-ads"}]}]},{"group":"Assets","pages":[{"title":"Introduction","href":"/guides/assets/introduction"},{"title":"Video asset uploads","sidebarTitle":"Video uploads","href":"/guides/assets/video-upload"},{"title":"Video asset downloads","sidebarTitle":"Video downloads","href":"/guides/assets/video-download"},{"title":"Manage images","sidebarTitle":"Images","href":"/guides/assets/images"}]},{"group":"IAM","pages":[{"title":"Manage accounts","sidebarTitle":"Manage","href":"/guides/iam/manage"}]}]},{"tab":"API Reference","groups":[{"group":"Get Started","pages":[{"title":"API Reference","sidebarTitle":"Overview","href":"/reference/overview"}]},{"group":"Studio API","pages":[{"title":"Introduction","href":"/reference/studio-api/introduction"},{"group":"Streaming","expanded":true,"pages":[{"group":"Live Streams","pages":[{"openapi":"get /streaming/live_streams/v2/{live_stream_id}","title":null,"href":"/reference/studio-api/streaming/live-streams/v2/get-live-stream"},{"openapi":"get /streaming/live_streams/v2","title":null,"href":"/reference/studio-api/streaming/live-streams/v2/list-live-streams"},{"openapi":"post /streaming/live_streams/v2","title":null,"href":"/reference/studio-api/streaming/live-streams/v2/create-live-stream"},{"openapi":"patch /streaming/live_streams/v2/{live_stream_id}","title":null,"href":"/reference/studio-api/streaming/live-streams/v2/update-live-stream"},{"openapi":"delete /streaming/live_streams/v2/{live_stream_id}","title":null,"href":"/reference/studio-api/streaming/live-streams/v2/delete-live-stream"},{"group":"Ingests","pages":[{"openapi":"get /streaming/ingests/v2/{ingest_id}","title":null,"href":"/reference/studio-api/streaming/ingests/v2/get-ingest"},{"openapi":"get /streaming/ingests/v2","title":null,"href":"/reference/studio-api/streaming/ingests/v2/list-ingests"},{"openapi":"post /streaming/ingests/v2","title":null,"href":"/reference/studio-api/streaming/ingests/v2/create-ingest"},{"openapi":"patch /streaming/ingests/v2/{ingest_id}","title":null,"href":"/reference/studio-api/streaming/ingests/v2/update-ingest"},{"openapi":"delete /streaming/ingests/v2/{ingest_id}","title":null,"href":"/reference/studio-api/streaming/ingests/v2/delete-ingest"},{"openapi":"get /streaming/ingest_servers/v2","title":null,"href":"/reference/studio-api/streaming/ingest-servers/v2/list-ingest-servers"},{"openapi":"post /streaming/ingests/v2/{ingest_id}/pull","title":null,"href":"/reference/studio-api/streaming/ingests/v2/start-pull"},{"openapi":"post /streaming/ingests/v2/{ingest_id}/disconnect","title":null,"href":"/reference/studio-api/streaming/ingests/v2/disconnect"}]}]},{"group":"Clips","pages":[{"openapi":"get /streaming/clips/v1/{clip_id}","title":null,"href":"/reference/studio-api/streaming/clips/v1/get-clip"},{"openapi":"post /streaming/clips/v1","title":null,"href":"/reference/studio-api/streaming/clips/v1/create-clip"},{"openapi":"get /streaming/stitchers/v1/{stitcher_id}","title":null,"href":"/reference/studio-api/streaming/stitchers/v1/get-stitcher"},{"openapi":"post /streaming/stitchers/v1","title":null,"href":"/reference/studio-api/streaming/stitchers/v1/create-stitcher"}]},{"group":"Videos","pages":[{"openapi":"get /streaming/videos/v1/{video_id}","title":null,"href":"/reference/studio-api/streaming/videos/v1/get-video"},{"openapi":"get /streaming/videos/v1","title":null,"href":"/reference/studio-api/streaming/videos/v1/list-videos"},{"openapi":"patch /streaming/videos/v1/{video_id}","title":null,"href":"/reference/studio-api/streaming/videos/v1/update-video"},{"openapi":"delete /streaming/videos/v1/{video_id}","title":null,"href":"/reference/studio-api/streaming/videos/v1/delete-video"},{"group":"Playlists","pages":[{"openapi":"get /streaming/playlists/v1/{playlist_id}","title":null,"href":"/reference/studio-api/streaming/playlists/v1/get-playlist"},{"openapi":"patch /streaming/playlists/v1/{playlist_id}","title":null,"href":"/reference/studio-api/streaming/playlists/v1/update-playlist"}]}]},{"group":"Video Protection","pages":[{"openapi":"get /streaming/video_protection/v2/rulesets/{video_protection_ruleset_id}","title":null,"href":"/reference/studio-api/streaming/video-protection/v2/get-ruleset"},{"openapi":"get /streaming/video_protection/v2/rulesets","title":null,"href":"/reference/studio-api/streaming/video-protection/v2/list-rulesets"},{"openapi":"post /streaming/video_protection/v2/rulesets","title":null,"href":"/reference/studio-api/streaming/video-protection/v2/create-ruleset"},{"openapi":"patch /streaming/video_protection/v2/rulesets/{video_protection_ruleset_id}","title":null,"href":"/reference/studio-api/streaming/video-protection/v2/update-ruleset"},{"openapi":"delete /streaming/video_protection/v2/rulesets/{video_protection_ruleset_id}","title":null,"href":"/reference/studio-api/streaming/video-protection/v2/delete-ruleset"}]},{"group":"Subtitles","pages":[{"openapi":"post /streaming/subtitle_tracks/v1","title":null,"href":"/reference/studio-api/streaming/subtitle-tracks/v1/create-subtitle-track"},{"openapi":"delete /streaming/subtitle_tracks/v1/{track_id}","title":null,"href":"/reference/studio-api/streaming/subtitle-tracks/v1/delete-subtitle-track"},{"openapi":"get /streaming/subtitle_tracks/v1","title":null,"href":"/reference/studio-api/streaming/subtitle-tracks/v1/list-subtitle-tracks"}]},{"group":"Assets","pages":[{"openapi":"get /streaming/assets/v1/{asset_id}","title":null,"href":"/reference/studio-api/streaming/assets/v1/get-asset"},{"openapi":"get /streaming/assets/v1/{asset_id}/url","title":null,"href":"/reference/studio-api/streaming/assets/v1/get-asset-url"},{"openapi":"get /streaming/assets/v1","title":null,"href":"/reference/studio-api/streaming/assets/v1/list-assets"},{"openapi":"post /streaming/uploads/v1","title":null,"href":"/reference/studio-api/streaming/uploads/v1/create-upload"},{"openapi":"post /streaming/assets/v1/{asset_id}/labels","title":null,"href":"/reference/studio-api/streaming/assets/v1/set-asset-labels"},{"openapi":"delete /streaming/assets/v1/{asset_id}","title":null,"href":"/reference/studio-api/streaming/assets/v1/delete-asset"},{"group":"VOD Uploads","pages":[{"openapi":"get /streaming/vods/v2/{vod_id}","title":null,"href":"/reference/studio-api/streaming/vods/v2/get-vod"},{"openapi":"get /streaming/vods/v2","title":null,"href":"/reference/studio-api/streaming/vods/v2/list-vods"},{"openapi":"post /streaming/vods/v2","title":null,"href":"/reference/studio-api/streaming/vods/v2/create-vod"},{"openapi":"post /streaming/vods/v2/{vod_id}/start_processing","title":null,"href":"/reference/studio-api/streaming/vods/v2/process-vod"},{"openapi":"patch /streaming/vods/v2/{vod_id}","title":null,"href":"/reference/studio-api/streaming/vods/v2/update-vod"},{"openapi":"delete /streaming/vods/v2/{vod_id}","title":null,"href":"/reference/studio-api/streaming/vods/v2/delete-vod"}]}]},{"group":"Spiideo (AI cameras)","pages":[{"openapi":"get /integration/spiideo/v1/entity_mappings","title":null,"href":"/reference/studio-api/integration/spiideo/v1/list-entity-mappings"},{"openapi":"post /integration/spiideo/v1/entity_mappings","title":null,"href":"/reference/studio-api/integration/spiideo/v1/create-entity-mapping"},{"openapi":"delete /integration/spiideo/v1/entity_mappings/{entity_id}","title":null,"href":"/reference/studio-api/integration/spiideo/v1/delete-entity-mapping"},{"openapi":"get /integration/spiideo/v1/event_mappings/batch","title":null,"href":"/reference/studio-api/integration/spiideo/v1/batch-get-event-mappings"}]}]},{"group":"CMS","pages":[{"group":"Events","pages":[{"openapi":"get /cms/events/v1/{event_id}","title":null,"href":"/reference/studio-api/cms/events/v1/get-event"},{"openapi":"get /cms/events/v1","title":null,"href":"/reference/studio-api/cms/events/v1/list-events"},{"openapi":"post /cms/events/v1","title":null,"description":"CreateEvent\n\n Creates new event.","href":"/reference/studio-api/cms/events/v1/create-event"},{"openapi":"post /cms/events/v1/{event_id}/duplicate","title":null,"href":"/reference/studio-api/cms/events/v1/duplicate-event"},{"openapi":"patch /cms/events/v1/{event_id}","title":null,"description":"UpdateEvent\n\n Updates existing event.","href":"/reference/studio-api/cms/events/v1/update-event"},{"openapi":"delete /cms/events/v1/{event_id}","title":null,"href":"/reference/studio-api/cms/events/v1/delete-event"}]},{"group":"Creative Works","pages":[{"openapi":"get /cms/creative_works/v1/{creative_work_id}","title":null,"href":"/reference/studio-api/cms/creative-works/v1/get-creative-work"},{"openapi":"get /cms/creative_works/v1","title":null,"href":"/reference/studio-api/cms/creative-works/v1/list-creative-works"},{"openapi":"post /cms/creative_works/v1","title":null,"href":"/reference/studio-api/cms/creative-works/v1/create-creative-work"},{"openapi":"patch /cms/creative_works/v1/{creative_work_id}","title":null,"href":"/reference/studio-api/cms/creative-works/v1/update-creative-work"},{"openapi":"delete /cms/creative_works/v1/{creative_work_id}","title":null,"href":"/reference/studio-api/cms/creative-works/v1/delete-creative-work"}]},{"group":"Entities","pages":[{"openapi":"get /cms/entities/v1/{entity_id}","title":null,"href":"/reference/studio-api/cms/entities/v1/get-entity"},{"openapi":"get /cms/entities/v1","title":null,"href":"/reference/studio-api/cms/entities/v1/list-entities"},{"openapi":"post /cms/entities/v1","title":null,"href":"/reference/studio-api/cms/entities/v1/create-entity"},{"openapi":"patch /cms/entities/v1/{entity_id}","title":null,"href":"/reference/studio-api/cms/entities/v1/update-entity"},{"openapi":"delete /cms/entities/v1/{entity_id}","title":null,"href":"/reference/studio-api/cms/entities/v1/delete-entity"}]},{"group":"Annotations","pages":[{"openapi":"get /annotations/annotations/v1/{annotation_id}","title":null,"href":"/reference/studio-api/annotations/annotations/v1/get-annotation"},{"openapi":"get /annotations/annotations/v1","title":null,"href":"/reference/studio-api/annotations/annotations/v1/list-annotations"},{"openapi":"post /annotations/annotations/v1","title":null,"href":"/reference/studio-api/annotations/annotations/v1/create-annotation"},{"openapi":"patch /annotations/annotations/v1/{annotation_id}","title":null,"href":"/reference/studio-api/annotations/annotations/v1/update-annotation"},{"openapi":"delete /annotations/annotations/v1/{annotation_id}","title":null,"href":"/reference/studio-api/annotations/annotations/v1/delete-annotation"}]},{"group":"Sports Standings","pages":[{"openapi":"get /cms/standings/v1/{standing_id}","title":null,"href":"/reference/studio-api/cms/standings/v1/get-standing"},{"openapi":"get /cms/standings/v1","title":null,"href":"/reference/studio-api/cms/standings/v1/list-standings"},{"openapi":"post /cms/standings/v1","title":null,"href":"/reference/studio-api/cms/standings/v1/create-standing"},{"openapi":"patch /cms/standings/v1/{standing_id}","title":null,"href":"/reference/studio-api/cms/standings/v1/update-standing"},{"openapi":"delete /cms/standings/v1/{standing_id}","title":null,"href":"/reference/studio-api/cms/standings/v1/delete-standing"},{"openapi":"get /cms/standing_phases/v1/{standing_phase_id}","title":null,"href":"/reference/studio-api/cms/standing-phases/v1/get-standing-phase"},{"openapi":"get /cms/standing_phases/v1/batch","title":null,"href":"/reference/studio-api/cms/standing-phases/v1/batch-get-standing-phases"},{"openapi":"post /cms/standing_phases/v1","title":null,"href":"/reference/studio-api/cms/standing-phases/v1/create-standing-phase"},{"openapi":"patch /cms/standing_phases/v1/{standing_phase_id}","title":null,"href":"/reference/studio-api/cms/standing-phases/v1/update-standing-phase"},{"openapi":"delete /cms/standing_phases/v1/{standing_phase_id}","title":null,"href":"/reference/studio-api/cms/standing-phases/v1/delete-standing-phase"}]}]},{"group":"Monetization","pages":[{"group":"Transactions","pages":[{"openapi":"get /monetization/transactions/v1/{transaction_id}","title":null,"href":"/reference/studio-api/monetization/transactions/v1/get-transaction"},{"openapi":"get /monetization/transactions/v1","title":null,"href":"/reference/studio-api/monetization/transactions/v1/list-transactions"}]},{"group":"Entitlements","pages":[{"openapi":"get /monetization/entitlements/v1","title":null,"href":"/reference/studio-api/monetization/entitlements/v1/list-entitlements"},{"openapi":"post /monetization/entitlements/v1","title":null,"href":"/reference/studio-api/monetization/entitlements/v1/upsert-entitlement"}]}]},{"group":"IAM","pages":[{"group":"Accounts","pages":[{"title":"Introduction","href":"/reference/studio-api/iam/accounts/introduction"},{"openapi":"post /iam/auth/v1/tokens","title":null,"href":"/reference/studio-api/iam/auth/v1/create-token"}]},{"group":"Users","pages":[{"title":"Introduction","href":"/reference/studio-api/iam/users/introduction"},{"openapi":"get /iam/users/v1/{user_id}","title":null,"href":"/reference/studio-api/iam/users/v1/get-user"},{"openapi":"get /iam/users/v1","title":null,"href":"/reference/studio-api/iam/users/v1/list-users"},{"openapi":"patch /iam/users/v1/{user_id}","title":null,"href":"/reference/studio-api/iam/users/v1/update-user"},{"openapi":"delete /iam/users/v1/{user_id}","title":null,"href":"/reference/studio-api/iam/users/v1/delete-user"},{"openapi":"post /iam/users/v1/{user_id}/token","title":null,"href":"/reference/studio-api/iam/users/v1/create-user-token"}]},{"group":"Organizations","pages":[{"openapi":"get /iam/organizations/v1/{org_id}","title":null,"href":"/reference/studio-api/iam/organizations/v1/get-organization"},{"openapi":"get /iam/organizations/v1","title":null,"href":"/reference/studio-api/iam/organizations/v1/list-organizations"}]},{"group":"Projects","pages":[{"openapi":"get /iam/projects/v1/{project_id}","title":null,"href":"/reference/studio-api/iam/projects/v1/get-project"},{"openapi":"get /iam/projects/v1","title":null,"href":"/reference/studio-api/iam/projects/v1/list-projects"},{"openapi":"patch /iam/projects/v1/{project_id}","title":null,"href":"/reference/studio-api/iam/projects/v1/update-project"}]}]},{"group":"Integration","pages":[{"group":"Callbacks","pages":[{"openapi":"get /integration/topics/v1","title":null,"href":"/reference/studio-api/integration/topics/v1/list-topics"},{"openapi":"post /integration/subscriptions/v1","title":null,"href":"/reference/studio-api/integration/subscriptions/v1/create-subscription"},{"openapi":"delete /integration/subscriptions/v1/{subscription_id}","title":null,"href":"/reference/studio-api/integration/subscriptions/v1/delete-subscription"},{"openapi":"get /integration/subscriptions/v1/{subscription_id}","title":null,"href":"/reference/studio-api/integration/subscriptions/v1/get-subscription"},{"openapi":"get /integration/subscriptions/v1","title":null,"href":"/reference/studio-api/integration/subscriptions/v1/list-subscriptions"},{"openapi":"patch /integration/subscriptions/v1/{subscription_id}","title":null,"href":"/reference/studio-api/integration/subscriptions/v1/update-subscription"}]}]}]},{"group":"Agentic SDK","pages":[{"title":"Agentic SDK","sidebarTitle":"Introduction","href":"/reference/agentic-sdk/introduction"}]}]}]},"basePath":"","title":"Duplicate event - Motto","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}